declare interface IPostsData {
  page: number
  pageSize: number
  pages: number
  count: number
  dataSet: []
}

declare interface IPost {
  cid: string
  title: string
  created: string
  modified: string
  slug: string
  commentsNum: string
  type: string
  digest: string
  password: string
  categories: ICategory[]
  category: string
  directory: string[]
  date: IDate
  year: string
  month: string
  day: string
  hidden: boolean
  pathinfo: string
  permalink: string
  url: string
  isMarkdown: boolean
  feedUrl: string
  feedRssUrl: string
  feedAtomUrl: string
  fields: any
}

declare interface ICategory {
  mid: string
  name: string
  slug: string
  type: string
  description: string
  count: string
  order: string
  parent: string
  cid: string
  directory: string[]
  url: string
  feedUrl: string
  feedRssUrl: string
  feedAtomUrl: string
}

declare interface IDate {
  timestamp: number
  year: string
  month: string
  day: string
}
